## org.apache.cassandra.cache
Class AutoSavingCache.Writer

    java.lang.Object
      org.apache.cassandra.cache.AutoSavingCache.Writer

All Implemented Interfaces:
  CompactionInfo.Holder

Enclosing class:
  AutoSavingCache<K,V>

    public class AutoSavingCache.Writer

extends java.lang.Object
implements CompactionInfo.Holder

Method Summary
`CompactionInfo` `getCompactionInfo()`
`void` `saveCache()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompactionInfo

    public CompactionInfo getCompactionInfo()

  Specified by:
    `getCompactionInfo` in interface `CompactionInfo.Holder`

### saveCache

    public void saveCache()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2012 The Apache Software Foundation